---@alias ImportantAura { isMagicDispel: boolean | nil, isPoisonDispel: boolean | nil, isDiseaseDispel: boolean | nil, isDiffusable: boolean | nil }
---@alias ImportantAuraList table<number, ImportantAura>

---@type ImportantAuraList
local _ImportantAuraList  = {
  -- Primal Chill
  [372682] = {
    isMagicDispel = true
  },
  -- Primal Chill
  [373589] = {
    isMagicDispel = true
  },
  -- Rolling Thunder
  [392641] = {
    isMagicDispel = true
  },
  -- Burning Touch
  [373869] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Shock Blast
  [392924] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Storm Slam
  [381515] = {
    isMagicDispel = true
  },
  -- Thunder Clap
  [386028] = {
    isMagicDispel = true
  },
  -- Tempest
  [386025] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Frightful Roar
  [386063] = {
    isMagicDispel = true
  },
  -- Bloodcurdling Shout
  [373395] = {
    isMagicDispel = true
  },
  -- Conductive Strike
  [376827] = {
    isMagicDispel = true
  },
  -- Storm Shock
  [381530] = {
    isMagicDispel = true
  },
  -- Mystic Vapors
  [387564] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Erratic Growth
  [375602] = {
    isMagicDispel = true
  },
  -- Crystaline Rupture
  [370766] = {
    isMagicDispel = true
  },
  -- Waking Bane
  [386546] = {
    isMagicDispel = true
  },
  -- Waking Bane
  [386549] = {
    isMagicDispel = true
  },
  -- Forbiden Knowledge
  [371352] = {
    isMagicDispel = true
  },
  -- Icy Bindings
  [377488] = {
    isMagicDispel = true
  },
  -- Absolute Zero
  [396722] = {
    isMagicDispel = true
  },
  -- Dragon Strike
  [384978] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Monotonous Lecture
  [388392] = {
    isMagicDispel = true
  },
  -- Thunderstrike
  [215429] = {
    isMagicDispel = true
  },
  -- Seal Magic
  [209404] = {
    isMagicDispel = true
  },
  -- Mana Fang
  [209516] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Suppress
  [209413] = {
    isMagicDispel = true,
  },
  -- Bewitch
  [211470] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Impending Doom
  [397907] = {
    isMagicDispel = true
  },
  -- Withering Soul
  [208165] = {
    isMagicDispel = true
  },
  -- Criple
  [214690] = {
    isMagicDispel = true
  },
  -- Carrion Swarm
  [214688] = {
    isMagicDispel = true
  },
  -- Shadow Word: Frailty
  [152819] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Tainted Ripple
  [397878] = {
    isMagicDispel = true
  },
  -- Haunting Scream
  [395859] = {
    isMagicDispel = true,
  },
  -- Throw Torch
  [114803] = {
    isMagicDispel = true,
    isDiffusable = true
  },
  -- Sleepy Soliloquy
  [395872] = {
    isMagicDispel = true,
  },
  -- Serpent Strike
  [106823] = {
    isMagicDispel = true,
  },
  -- Necrotic Burst
  [156718] = {
    isDiseaseDispel = true
  },
  -- Plague Spit
  [153524] = {
    isDiseaseDispel = true
  },
  -- Death Venom
  [156717] = {
    isPoisonDispel = true
  },
  -- Lasher Toxin
  [389033] = {
    isPoisonDispel = true
  },
  -- Touch of Nothingness
  [106113] = {
    isMagicDispel = true,
  },
  -- Arcane Lockdown
  [207278] = {
    isDiffusable = true
  },
  -- Hinder
  [215204] = {
    isDiffusable = true
  }
}

return _ImportantAuraList